Bug 815942 - iwlwifi -- Wi fi disconnects every 10 minutes
iwlwifi -- Wi fi disconnects every 10 minutes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 16:44 EDT by fred
Modified: 2012-07-26 10:13 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 10:13:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fred 2012-04-24 16:44:20 EDT
Description of problem:

Wifi disconnects after a short while, around 10 minutes, and then reconnects. It is particularly annoying when downloading resources over this timespan. Sometimes, connections hangs and fails after, probably, some kind of timeout.

It might be related to bug #70874, which is closed, but the problem nonetheless persists, or is of a different nature.


How reproducible:
Every 10 minutes

Steps to Reproduce:
1. Connect to a protected wifi network with a centrino Advanced-N 6230 (rev 34). I noticed the bug when using a wpa2 security model.
2. Use the network until it fails
3. Wait until it recovers.


Additional info:

[root@Othello mooh]# lspci | grep -i centri
02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6230 (rev 34)



/var/log/messages:

Apr 24 22:23:38 Othello NetworkManager[980]: <info> Policy set 'Auto Neretva' (wlan0) as default for IPv4 routing and DNS.
Apr 24 22:23:38 Othello NetworkManager[980]: <info> Policy set 'Auto Neretva' (wlan0) as default for IPv6 routing and DNS.
Apr 24 22:23:46 Othello dbus-daemon[1027]: ** Message: No devices in use, exit
_______
From now on, the connection is unavailable.
_______
Apr 24 22:26:54 Othello NetworkManager[980]: <info> (wlan0): device state change: activated -> failed (reason 'ip-config-unavailable') [100 120 5]
Apr 24 22:26:54 Othello NetworkManager[980]: <warn> Activation (wlan0) failed for access point (Neretva)
Apr 24 22:26:54 Othello NetworkManager[980]: <warn> Activation (wlan0) failed.
Apr 24 22:26:54 Othello dbus[1027]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 24 22:26:54 Othello NetworkManager[980]: <info> (wlan0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Apr 24 22:26:54 Othello NetworkManager[980]: <info> (wlan0): deactivating device (reason 'none') [0]
Apr 24 22:26:54 Othello dbus-daemon[1027]: dbus[1027]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 24 22:26:54 Othello dbus[1027]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
______
The connection is now kind of returning to normal.
______
Apr 24 22:26:54 Othello dbus-daemon[1027]: dbus[1027]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Apr 24 22:26:54 Othello NetworkManager[980]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 3343
Apr 24 22:26:54 Othello kernel: [ 4813.501434] cfg80211: Calling CRDA to update world regulatory domain
Apr 24 22:26:54 Othello avahi-daemon[1002]: Withdrawing address record for 192.168.1.48 on wlan0.
Apr 24 22:26:54 Othello avahi-daemon[1002]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.48.
Apr 24 22:26:54 Othello avahi-daemon[1002]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr 24 22:26:54 Othello avahi-daemon[1002]: Withdrawing address record for 2a01:e35:8a4e:3560:8a53:2eff:fe91:ad7f on wlan0.
Apr 24 22:26:54 Othello avahi-daemon[1002]: Registering new address record for fe80::8a53:2eff:fe91:ad7f on wlan0.*.
Apr 24 22:26:54 Othello kernel: [ 4813.504642] cfg80211: World regulatory domain updated:
Apr 24 22:26:54 Othello kernel: [ 4813.504645] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Apr 24 22:26:54 Othello kernel: [ 4813.504647] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 24 22:26:54 Othello kernel: [ 4813.504650] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Comment 1 Josh Boyer 2012-04-24 16:51:28 EDT
With which kernel versions?
Comment 2 fred 2012-04-24 17:08:54 EDT
[root@Othello ~]# uname -a
Linux Othello 3.3.2-1.fc16.x86_64 #1 SMP Sat Apr 14 00:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 3 John W. Linville 2012-04-25 14:19:54 EDT
Is it the same with WEP or an open network?
Comment 4 fred 2012-04-25 19:21:11 EDT
Two additional informations:
- According to the router (freebox), wifi-n is disabled
- The cryptography used is WPA-PSK /CCMP

I restarted the router with WEP, and wait for the bug to reoccur. Nothing particular during the last few minutes.
Comment 5 fred 2012-04-25 19:54:42 EDT
I still had that several time since the last update. The router seems okay since I only notie these breaks from this machine.

Apr 26 01:48:30 Othello NetworkManager[1020]: <info> Policy set 'Auto Neretva' (wlan0) as default for IPv6 routing and DNS.
Apr 26 01:49:26 Othello kernel: [ 4744.487079] ICMPv6 RA: ndisc_router_discovery() failed to add default route.
Apr 26 01:50:26 Othello kernel: [ 4804.708488] CPU1: Package power limit notification (total events = 231)
Apr 26 01:50:26 Othello kernel: [ 4804.708490] CPU0: Package power limit notification (total events = 231)
Apr 26 01:50:26 Othello kernel: [ 4804.708513] CPU2: Package power limit notification (total events = 231)
Apr 26 01:50:26 Othello kernel: [ 4804.708515] CPU3: Package power limit notification (total events = 231)
Apr 26 01:50:26 Othello kernel: [ 4804.720467] CPU1: Package power limit normal
Apr 26 01:50:26 Othello kernel: [ 4804.720471] CPU0: Package power limit normal
Apr 26 01:50:26 Othello kernel: [ 4804.720475] CPU3: Package power limit normal
Apr 26 01:50:26 Othello kernel: [ 4804.720479] CPU2: Package power limit normal
____
disconnects there:
_____
Apr 26 01:52:47 Othello NetworkManager[1020]: <info> (wlan0): device state change: activated -> failed (reason 'ip-config-unavailable') [100 
120 5]
Apr 26 01:52:47 Othello NetworkManager[1020]: <warn> Activation (wlan0) failed for access point (Neretva)
Apr 26 01:52:47 Othello NetworkManager[1020]: <warn> Activation (wlan0) failed.
Apr 26 01:52:47 Othello dbus[1068]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 26 01:52:47 Othello NetworkManager[1020]: <info> (wlan0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Apr 26 01:52:47 Othello dbus-daemon[1068]: dbus[1068]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 26 01:52:47 Othello NetworkManager[1020]: <info> (wlan0): deactivating device (reason 'none') [0]
Apr 26 01:52:47 Othello dbus[1068]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Apr 26 01:52:47 Othello dbus-daemon[1068]: dbus[1068]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Apr 26 01:52:47 Othello NetworkManager[1020]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 3834
Apr 26 01:52:47 Othello kernel: [ 4945.564602] cfg80211: Calling CRDA to update world regulatory domain
Apr 26 01:52:47 Othello kernel: [ 4945.566322] cfg80211: World regulatory domain updated:
Comment 6 John W. Linville 2012-04-26 09:32:56 EDT
Please create (as root) a file called /etc/modprobe.d/iwlwifi.conf with the following contents:

options 11n_disable=1

Afterwards, either reboot or "modprobe -r iwlwifi ; modprobe iwlwifi".  Does that lead to any  more stability?
Comment 7 fred 2012-04-26 16:25:33 EDT
I think there is a problem with the options line:

[root@Othello fred]# cat /etc/modprobe.d/iwlwifi.conf
options 11n_disable=1

[root@Othello fred]# modprobe -r iwlwifi ; modprobe iwlwifi
WARNING: /etc/modprobe.d/iwlwifi.conf line 1: ignoring bad line starting with 'options'
WARNING: /etc/modprobe.d/iwlwifi.conf line 1: ignoring bad line starting with 'options'

I changed the options line to "options iwlagn 11n_disable=1", as some forum post mention on the internet (http://www.backtrack-linux.org/forums/archive/index.php/t-43573.html)

I let you know if the bug persists.
I also would like to remind that, as far as the router is concerned, the wifi-n option is disabled.
Comment 8 John W. Linville 2012-04-27 08:53:25 EDT
Sorry about the typo!  Your correction is _almost_ right, but the name of the module changed a while back.  It should read like this instead:

options iwlwifi 11n_disable=1

I understand that you disabled .11n on the AP already, but I'd like to make sure that the driver is convinced. :-)
Comment 9 fred 2012-04-27 18:42:23 EDT
allright, I changed the setting, and the connection keeps breaking. A friend with a similar machine (I have a vaio SA 13', he has a SA15') tells me the the problem appeared with a recent kernel. He said that it used to work three kernels before and selects an old one from grub to avoid the problem. To make it short, according to him, the problem appeared around the realease of kernel 3.3.1-5.
I'll try booting an older kernel to see if the problems persists, but it might give you a hint.
Comment 10 fred 2012-04-28 12:15:11 EDT
The connections still breaks. Do you need additional logs to help you debug the problem ?
Comment 11 John W. Linville 2012-04-30 11:04:54 EDT
It is more helpful to bracket the failure as closely as possible (i.e. x works and y doesn't).  Perhaps you could try these two kernels?

http://koji.fedoraproject.org/koji/buildinfo?buildID=310421

http://koji.fedoraproject.org/koji/buildinfo?buildID=312548

Does one exhibit this problem and the other not?
Comment 12 fred 2012-07-26 10:05:46 EDT
The bug seems to have vanished, Thank you for your support!
Comment 13 John W. Linville 2012-07-26 10:13:17 EDT
Closing on the basis of comment 12...

Note You need to log in before you can comment on or make changes to this bug.